This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 891212 - nodejs-npmconf - The config thing npm uses
nodejs-npmconf - The config thing npm uses
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On: 891184 891195 891206 891210 891216 891220
Blocks: 891171
  Show dependency treegraph
 
Reported: 2013-01-02 03:43 EST by T.C. Hollingsworth
Modified: 2013-04-05 19:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-18 05:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-01-02 03:43:23 EST
Spec: http://patches.fedorapeople.org/npm/nodejs-npmconf.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-npmconf-0.0.16-1.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4831042
FAS username: patches

If you are interested in interacting with the config settings that npm
uses, then use this module.

However, if you are writing a new Node.js program, and want
configuration functionality similar to what npm has, but for your
own thing, then the author reccomends rc, which is probably what you want.

This package is part of the npm stack and a future F19 Feature for Node.js.

This package may depend on other packages in the npm stack that aren't explicitly
listed as dependencies of this bug.  For more information, see bug 891171.

Please use nodejs-0.6.5-3 or later when building or using this package.
Comment 1 T.C. Hollingsworth 2013-01-10 02:44:07 EST
Updated with empty %build sections and other issues found in various reviews.

Spec: http://patches.fedorapeople.org/npm/nodejs-npmconf.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-npmconf-0.0.16-2.fc17.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4854348
Comment 2 Miro Hrončok 2013-01-17 01:22:51 EST
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces.

$ rpmlint ../RPMS/noarch/nodejs-npmconf-0.0.16-2.fc18.noarch.rpm ../SRPMS/nodejs-npmconf-0.0.16-2.fc18.src.rpm 
nodejs-npmconf.noarch: W: spelling-error Summary(en_US) npm -> pm, rpm, ppm
nodejs-npmconf.noarch: W: summary-not-capitalized C npm configuration module
nodejs-npmconf.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
nodejs-npmconf.noarch: W: spelling-error %description -l en_US npm -> pm, rpm, ppm
nodejs-npmconf.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-npmconf.noarch: W: spelling-error %description -l en_US reccomends -> recommends, recommend, commends
nodejs-npmconf.noarch: W: spelling-error %description -l en_US rc -> RC, r, c
nodejs-npmconf.noarch: W: only-non-binary-in-usr-lib
nodejs-npmconf.noarch: W: dangling-symlink /usr/lib/node_modules/npmconf/node_modules/inherits /usr/lib/node_modules/inherits
nodejs-npmconf.noarch: W: dangling-symlink /usr/lib/node_modules/npmconf/node_modules/once /usr/lib/node_modules/once
nodejs-npmconf.noarch: W: dangling-symlink /usr/lib/node_modules/npmconf/node_modules/config-chain /usr/lib/node_modules/config-chain
nodejs-npmconf.noarch: W: dangling-symlink /usr/lib/node_modules/npmconf/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-npmconf.noarch: W: dangling-symlink /usr/lib/node_modules/npmconf/node_modules/osenv /usr/lib/node_modules/osenv
nodejs-npmconf.noarch: W: dangling-symlink /usr/lib/node_modules/npmconf/node_modules/nopt /usr/lib/node_modules/nopt
nodejs-npmconf.src: W: spelling-error Summary(en_US) npm -> pm, rpm, ppm
nodejs-npmconf.src: W: summary-not-capitalized C npm configuration module
nodejs-npmconf.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
nodejs-npmconf.src: W: spelling-error %description -l en_US npm -> pm, rpm, ppm
nodejs-npmconf.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-npmconf.src: W: spelling-error %description -l en_US reccomends -> recommends, recommend, commends
nodejs-npmconf.src: W: spelling-error %description -l en_US rc -> RC, r, c
2 packages and 0 specfiles checked; 0 errors, 21 warnings.

Symlinks OK, package requires npm(config-chain), npm(inherits), npm(mkdirp), npm(nopt), npm(once) and npm(osenv)

MUST: The spec file must be written in American English.
FIX: spelling-error %description -l en_US reccomends -> recommends

All other false positives.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines. OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license.

Checked in LICENSE file, BSD. OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.

$ sha256sum ../SOURCES/npmconf-0.0.16.tgz 
3fd5a4274d05babcb5fea497becfe0468f86ef5c6171a02e2c4e208e9542bf70  ../SOURCES/npmconf-0.0.16.tgz
$ spectool -g nodejs-npmconf.spec 
Getting http://registry.npmjs.org/npmconf/-/npmconf-0.0.16.tgz to ./npmconf-0.0.16.tgz
$ sha256sum npmconf-0.0.16.tgz 
3fd5a4274d05babcb5fea497becfe0468f86ef5c6171a02e2c4e208e9542bf70  npmconf-0.0.16.tgz

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK, build in mock
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: A package must own all directories that it creates. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly.

$ rpm -q -lv -p ../RPMS/noarch/nodejs-npmconf-0.0.16-2.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 led 17 07:13 /usr/lib/node_modules/npmconf
-rw-r--r--    1 root    root                    13307 zář 13 05:11 /usr/lib/node_modules/npmconf/config-defs.js
drwxr-xr-x    2 root    root                        0 led 17 07:13 /usr/lib/node_modules/npmconf/node_modules
lrwxrwxrwx    1 root    root                       34 led 17 07:13 /usr/lib/node_modules/npmconf/node_modules/config-chain -> /usr/lib/node_modules/config-chain
lrwxrwxrwx    1 root    root                       30 led 17 07:13 /usr/lib/node_modules/npmconf/node_modules/inherits -> /usr/lib/node_modules/inherits
lrwxrwxrwx    1 root    root                       28 led 17 07:13 /usr/lib/node_modules/npmconf/node_modules/mkdirp -> /usr/lib/node_modules/mkdirp
lrwxrwxrwx    1 root    root                       26 led 17 07:13 /usr/lib/node_modules/npmconf/node_modules/nopt -> /usr/lib/node_modules/nopt
lrwxrwxrwx    1 root    root                       26 led 17 07:13 /usr/lib/node_modules/npmconf/node_modules/once -> /usr/lib/node_modules/once
lrwxrwxrwx    1 root    root                       27 led 17 07:13 /usr/lib/node_modules/npmconf/node_modules/osenv -> /usr/lib/node_modules/osenv
-rw-r--r--    1 root    root                     8748 srp 30 22:12 /usr/lib/node_modules/npmconf/npmconf.js
-rw-r--r--    1 root    root                      664 zář 13 05:11 /usr/lib/node_modules/npmconf/package.json
drwxr-xr-x    2 root    root                        0 led 17 07:13 /usr/share/doc/nodejs-npmconf-0.0.16
-rw-r--r--    1 root    root                     1310 zář 12 02:43 /usr/share/doc/nodejs-npmconf-0.0.16/LICENSE
-rw-r--r--    1 root    root                     1050 srp 15 02:26 /usr/share/doc/nodejs-npmconf-0.0.16/README.md

OK

MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: If a package includes something as %doc, it must not affect the runtime of the application. OK
MUST: Packages must not own files or directories already owned by other packages. OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. OK

TODO: Run tests, when possible.

Package NEEDSWORK, just correct the typo.
Comment 4 Miro Hrončok 2013-01-17 02:25:21 EST
Typo fixed, package APPROVED.
Comment 5 T.C. Hollingsworth 2013-01-17 02:38:00 EST
New Package SCM Request
=======================
Package Name: nodejs-npmconf
Short Description: npm configuration module
Owners: patches
Branches: f18 el6
InitialCC:
Comment 6 Jon Ciesla 2013-01-17 07:07:47 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-01-18 05:54:17 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18
Comment 8 Fedora Update System 2013-01-18 05:58:07 EST
nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-async-0.1.22-3.fc18, nodejs-glob-3.1.14-2.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-graceful-fs-1.1.14-2.fc18, nodejs-minimatch-0.2.9-2.fc18, nodejs-mkdirp-0.3.4-2.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-read-installed-0.0.4-2.fc18, nodejs-read-package-json-0.1.12-2.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-rimraf-2.1.1-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-nopt-2.0.0-3.fc18, nodejs-lru-cache-2.2.1-2.fc18, nodejs-mime-1.2.7-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-fstream-0.1.21-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-npm-registry-client-0.2.11-2.fc18, nodejs-form-data-0.0.6-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-yamlish-0.0.5-1.fc18, nodejs-once-1.1.1-2.fc18, nodejs-lockfile-0.2.1-2.fc18, nodejs-ini-1.0.5-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-config-chain-1.1.3-3.fc18, nodejs-fstream-npm-0.1.3-2.fc18, nodejs-npmconf-0.0.16-3.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-charm-0.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-0775/nodejs-abbrev-1.0.4-2.fc18,nodejs-ansi-0.1.2-4.fc18,nodejs-async-0.1.22-3.fc18,nodejs-glob-3.1.14-2.fc18,nodejs-inherits-1.0.0-6.fc18,nodejs-graceful-fs-1.1.14-2.fc18,nodejs-minimatch-0.2.9-2.fc18,nodejs-mkdirp-0.3.4-2.fc18,nodejs-mute-stream-0.0.3-3.fc18,nodejs-read-1.0.4-4.fc18,nodejs-read-installed-0.0.4-2.fc18,nodejs-read-package-json-0.1.12-2.fc18,nodejs-retry-0.6.0-2.fc18,nodejs-rimraf-2.1.1-2.fc18,nodejs-slide-1.1.3-4.fc18,nodejs-uid-number-0.0.3-4.fc18,nodejs-sigmund-1.0.0-2.fc18,nodejs-osenv-0.0.3-2.fc18,nodejs-nopt-2.0.0-3.fc18,nodejs-lru-cache-2.2.1-2.fc18,nodejs-mime-1.2.7-2.fc18,nodejs-init-package-json-0.0.7-3.fc18,nodejs-fstream-0.1.21-3.fc18,nodejs-delayed-stream-0.0.5-2.fc18,nodejs-proto-list-1.2.2-2.fc18,nodejs-npm-registry-client-0.2.11-2.fc18,nodejs-form-data-0.0.6-2.fc18,nodejs-which-1.0.5-4.fc18,nodejs-chownr-0.0.1-6.fc18,nodejs-opts-1.2.2-2.fc18,nodejs-yamlish-0.0.5-1.fc18,nodejs-once-1.1.1-2.fc18,nodejs-lockfile-0.2.1-2.fc18,nodejs-ini-1.0.5-2.fc18,nodejs-couch-login-0.1.15-2.fc18,nodejs-archy-0.0.2-5.fc18,nodejs-block-stream-0.0.6-4.fc18,nodejs-config-chain-1.1.3-3.fc18,nodejs-fstream-npm-0.1.3-2.fc18,nodejs-npmconf-0.0.16-3.fc18,nodejs-npmlog-0.0.2-2.fc18,nodejs-charm-0.1.0-1.fc18
Comment 9 Fedora Update System 2013-04-05 19:13:29 EDT
node-gyp-0.9.1-2.fc18, nodejs-async-0.2.6-1.fc18, nodejs-chmodr-0.1.0-2.fc18, nodejs-fstream-npm-0.1.4-1.fc18, nodejs-glob-3.1.21-1.fc18, nodejs-minimatch-0.2.11-1.fc18, nodejs-mkdirp-0.3.5-1.fc18, nodejs-npm-registry-client-0.2.18-2.fc18, nodejs-read-package-json-0.2.2-1.fc18, nodejs-request-2.14.0-1.fc18, nodejs-semver-1.1.4-1.fc18, npm-1.2.14-2.fc18, nodejs-abbrev-1.0.4-2.fc18, nodejs-ansi-0.1.2-4.fc18, nodejs-inherits-1.0.0-6.fc18, nodejs-mute-stream-0.0.3-3.fc18, nodejs-read-1.0.4-4.fc18, nodejs-retry-0.6.0-2.fc18, nodejs-slide-1.1.3-4.fc18, nodejs-uid-number-0.0.3-4.fc18, nodejs-sigmund-1.0.0-2.fc18, nodejs-osenv-0.0.3-2.fc18, nodejs-init-package-json-0.0.7-3.fc18, nodejs-delayed-stream-0.0.5-2.fc18, nodejs-proto-list-1.2.2-2.fc18, nodejs-which-1.0.5-4.fc18, nodejs-chownr-0.0.1-6.fc18, nodejs-opts-1.2.2-2.fc18, nodejs-once-1.1.1-2.fc18, nodejs-couch-login-0.1.15-2.fc18, nodejs-archy-0.0.2-5.fc18, nodejs-block-stream-0.0.6-4.fc18, nodejs-npmlog-0.0.2-2.fc18, nodejs-opener-1.3.0-4.fc18, nodejs-tobi-cookie-0.3.2-2.fc18, nodejs-promzard-0.2.0-3.fc18, nodejs-combined-stream-0.0.4-1.fc18, nodejs-config-chain-1.1.5-1.fc18, nodejs-fstream-0.1.22-1.fc18, nodejs-fstream-ignore-0.0.6-1.fc18, nodejs-graceful-fs-1.2.0-1.fc18, nodejs-ini-1.1.0-1.fc18, nodejs-lockfile-0.3.0-1.fc18, nodejs-lru-cache-2.2.2-1.fc18, nodejs-mime-1.2.9-1.fc18, nodejs-nopt-2.1.1-1.fc18, nodejs-npmconf-0.0.23-1.fc18, nodejs-read-installed-0.1.1-1.fc18, nodejs-rimraf-2.1.4-1.fc18, nodejs-tar-0.1.16-1.fc18, nodejs-form-data-0.0.7-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.